% Elaborato di Robotica Industriale - prof G.A. Magnani
% M. Gritti e W. Spinelli
%
% Criterio per la scelta dei parametri del modello
%
% UNO STUDENTE
% m1     : maggiore tra giorno e mese di nascita
% m2     : minore tra giorno e mese di nascita
%
% DUE STUDENTI
% m1     : maggiore tra giorno di nascita del primo studente e mese di
%          nascita del secondo studente
% m2     : minore tra mese di nascita del primo studente e mese di nascita
%          del secondo studente
%
% N.B. Per semplificare il progetto del regolatore il valore della massa del
%      link 1 deve essere superiore al valore della massa del link 2

% DATI GEOMETRICI DEL ROBOT

m1 = 1;     % massa del link 1
m2 = 1;     % massa del link 2

g = 9.806;  % Accelerazione di gravit (sul pianeta Terra)
a = 1;      % Lunghezza dei link

% Momenti di inerzia visti al link1 e al link2
Jlink1 = (m1 + 7*m2)*a^2/3; % Inerzia massima (posizione di braccio esteso)
Jlink2 = (m2*a^2)/3;

% Posizione nello spazio operativo
xi = 0;
yi = 0;
xf = 0;
yf = 0;
gom  = 1;

% Calcolo di q02
c2  = (xi^2+yi^2-2*a^2)/(2*a^2);
s2  = gom*sqrt(1-c2^2);
q02 = atan2(s2,c2);

% Calcolo di q01
c1  = ((a + a*c2)*xi+a*s2*yi)/(xi^2+yi^2);
s1  = ((a + a*c2)*yi-a*s2*xi)/(xi^2+yi^2);
q01 = atan2(s1,c1);